Loading...
Searching...
No Matches
casacore::AbortError Class Reference
casa package (libcasa_casa) » Exceptions_module

Exception which halts execution. More...

`#include <Error.h>`

## Public Member Functions

| AbortError (const Char *str, Category c=GENERAL)
| This constructs a "AbortError" from the error message.
| AbortError (const String &str, Category c=GENERAL)
| ~AbortError () noexcept
| Destructor which does nothing.
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

Exception which halts execution.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

This error causes an execution to halt regardless. It causes execution to halt before the exception can be caught.

### Example

throw(AbortError("ANY STRING"));
casacore::AbortError::AbortError
AbortError(const Char *str, Category c=GENERAL)
This constructs a "AbortError" from the error message.

Definition at line 477 of file Error.h.

## Constructor & Destructor Documentation

## AbortError() [1/2]

casacore::AbortError::AbortError | ( | const Char * | str,
|  | Category | c = GENERAL )

This constructs a "AbortError" from the error message.

References casacore::AipsError::GENERAL.

## AbortError() [2/2]

casacore::AbortError::AbortError | ( | const String & | str,
|  | Category | c = GENERAL )

References casacore::AipsError::GENERAL.

## ~AbortError()

casacore::AbortError::~AbortError | ( |  | ) |

noexcept

Destructor which does nothing.

The documentation for this class was generated from the following file:

- casa/Exceptions/Error.h